Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.language.jvm.plugins
[Java] Class JvmLanguagePlugin

    java.lang.Object
      org.gradle.language.jvm.plugins.JvmLanguagePlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    public class JvmLanguagePlugin

Base plugin for JVM language support. Applies the LanguageBasePlugin. Registers the ClassDirectoryBinary element type for the BinaryContainer. Adds a lifecycle task named `classes` for each ClassDirectoryBinary. Registers the ResourceSet element type for each FunctionalSourceSet added to ProjectSourceSet. Adds a Copy task named `processXYZResources` for each ResourceSet added to a ClassDirectoryBinary.

Constructor Summary
`JvmLanguagePlugin(Instantiator instantiator, FileResolver fileResolver)`

Method Summary
`void` | `apply(Project target)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### JvmLanguagePlugin

    @Inject
    public JvmLanguagePlugin(Instantiator instantiator, FileResolver fileResolver)

Method Detail

### apply

    public void apply(Project target)

Gradle API 1.10